

/*
 ## Cypress FX3 Core Library Header (cyu3imagesensor.h)
 ## ===========================
 ##
 ##  Copyright Cypress Semiconductor Corporation, 2010-2014,
 ##  All Rights Reserved
 ##  UNPUBLISHED, LICENSED SOFTWARE.
 ##
 ##  CONFIDENTIAL AND PROPRIETARY INFORMATION
 ##  WHICH IS THE PROPERTY OF CYPRESS.
 ##
 ##  Use of this file is governed
 ##  by the license agreement included in the file
 ##
 ##     <install>/license/license.txt
 ##
 ##  where <install> is the Cypress software
 ##  installation root directory path.
 ##
 ## ===========================
 */

/* CX3 Header file for APIs implementing Image Sensor specific functions
 */
#ifndef _INCLUDED_CYU3_CX3_IMAGESENSOR_H_
#define _INCLUDED_CYU3_CX3_IMAGESENSOR_H_

#include <cyu3types.h>

/* Enumeration defining Stream Format used for CyCx3_ImageSensor_Set_Format */
typedef enum CyU3PSensorStreamFormat_t
{
    SENSOR_YUV2 = 0,    /* UVC YUV2 Format*/
    SENSOR_RGB565       /* RGB565 Format  */
}CyU3PSensorStreamFormat_t;

/* Initialize Image Sensor*/ 
extern CyU3PReturnStatus_t CyCx3_ImageSensor_Init();


					
/* Set Sensor to output 1080P_Ver2 Stream */
extern CyU3PReturnStatus_t CyCx3_ImageSensor_Set_1080P_Ver2 ();
/* Set Sensor to output 480P Stream */
extern CyU3PReturnStatus_t CyCx3_ImageSensor_Set_480P ();

/* Put Image Sensor to Sleep/Low Power Mode */
extern CyU3PReturnStatus_t CyCx3_ImageSensor_Sleep();

/* Wake Image Sensor from Sleep/Low Power Mode to Active Mode */
extern CyU3PReturnStatus_t CyCx3_ImageSensor_Wakeup();

/* Set Image Sensor Data Format */
extern CyU3PReturnStatus_t CyCx3_ImageSensor_Set_Format(CyU3PSensorStreamFormat_t format);

/* Trigger Autofocus for the Sensor*/
extern CyU3PReturnStatus_t CyCx3_ImageSensor_Trigger_Autofocus();

#endif /* _INCLUDED_CYU3_CX3_IMAGESENSOR_H_ */

/*[]*/